Update 1.04, Oops

posted Sep 6, 2010, 4:36 PM by Darien Caldwell
 
The first update put out today, 1.03, has been blacklisted from returning cards via the website, as it has a serious bug that can corrupt decks.  Please Upgrade to the new version 1.04 as soon as possible. Update available at LOGOS Update Satellite.
Comments